Package org.opensaml.saml.saml2.metadata.impl

# Class AttributeConsumingServiceImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.metadata.impl.AttributeConsumingServiceImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `AttributeConsumingService`

public class AttributeConsumingServiceImpl extends AbstractXMLObject implements AttributeConsumingService
Concrete implementation of `AttributeConsumingService`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Integer`
`index`
Index of this service.
`private XSBooleanValue`
`isDefault`
isDefault attribute of this service.
`private final XMLObjectChildrenList<RequestedAttribute>`
`requestedAttributes`
RequestedAttribute children.
`private final XMLObjectChildrenList<ServiceDescription>`
`serviceDescriptions`
ServiceDescription children.
`private final XMLObjectChildrenList<ServiceName>`
`serviceNames`
ServiceName children.

### Fields inherited from interface org.opensaml.saml.saml2.metadata.AttributeConsumingService

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, INDEX_ATTRIB_NAME, IS_DEFAULT_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AttributeConsumingServiceImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<ServiceDescription>`
`getDescriptions()`
Gets the descriptions for this service.
`Integer`
`getIndex()`
Gets the index for this service.
`List<ServiceName>`
`getNames()`
Gets the list of names this service has.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<RequestedAttribute>`
`getRequestedAttributes()`
Gets the attributes this service requests.
`Boolean`
`isDefault()`
Checks if this is the default service for the service provider.
`XSBooleanValue`
`isDefaultXSBoolean()`
Checks if this is the default service for the service provider.
`void`
`setIndex(Integer theIndex)`
Sets the index for this service.
`void`
`setIsDefault(Boolean newIsDefault)`
Sets if this is the default service for the service provider.
`void`
`setIsDefault(XSBooleanValue newIsDefault)`
Sets if this is the default service for the service provider.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### index

@Nullable private Integer index
Index of this service.

### isDefault

@Nullable private XSBooleanValue isDefault
isDefault attribute of this service.

### serviceNames

@Nonnull private final XMLObjectChildrenList<ServiceName> serviceNames
ServiceName children.

### serviceDescriptions

@Nonnull private final XMLObjectChildrenList<ServiceDescription> serviceDescriptions
ServiceDescription children.

### requestedAttributes

@Nonnull private final XMLObjectChildrenList<RequestedAttribute> requestedAttributes
RequestedAttribute children.

## Constructor Details

### AttributeConsumingServiceImpl

protected AttributeConsumingServiceImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - name space
  `elementLocalName` - local name
  `namespacePrefix` - prefix

## Method Details

### getIndex

@Nullable public Integer getIndex()
Gets the index for this service.

Specified by:
  `getIndex` in interface `AttributeConsumingService`
Returns:
  the index for this service

### setIndex

public void setIndex(@Nullable Integer theIndex)
Sets the index for this service.

Specified by:
  `setIndex` in interface `AttributeConsumingService`
Parameters:
  `theIndex` - the index for this service

### isDefault

@Nullable public Boolean isDefault()
Checks if this is the default service for the service provider.

Specified by:
  `isDefault` in interface `AttributeConsumingService`
Returns:
  true if this is the default service, false if not

### isDefaultXSBoolean

@Nullable public XSBooleanValue isDefaultXSBoolean()
Checks if this is the default service for the service provider.

Specified by:
  `isDefaultXSBoolean` in interface `AttributeConsumingService`
Returns:
  true if this is the default service, false if not

### setIsDefault

public void setIsDefault(@Nullable Boolean newIsDefault)
Sets if this is the default service for the service provider. Boolean values will be marshalled to either "true" or "false".

Specified by:
  `setIsDefault` in interface `AttributeConsumingService`
Parameters:
  `newIsDefault` - true if this is the default service, false if not

### setIsDefault

public void setIsDefault(@Nullable XSBooleanValue newIsDefault)
Sets if this is the default service for the service provider.

Specified by:
  `setIsDefault` in interface `AttributeConsumingService`
Parameters:
  `newIsDefault` - true if this is the default service, false if not

### getNames

@Nonnull @Live public List<ServiceName> getNames()
Gets the list of names this service has.

Specified by:
  `getNames` in interface `AttributeConsumingService`
Returns:
  list of names this service has

### getDescriptions

@Nonnull @Live public List<ServiceDescription> getDescriptions()
Gets the descriptions for this service.

Specified by:
  `getDescriptions` in interface `AttributeConsumingService`
Returns:
  descriptions for this service

### getRequestedAttributes

@Nonnull @Live public List<RequestedAttribute> getRequestedAttributes()
Gets the attributes this service requests.

Specified by:
  `getRequestedAttributes` in interface `AttributeConsumingService`
Returns:
  attributes this service requests

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements